### Method

# Shell App request_quit

#### Declaration [src]

    gboolean
    shell_app_request_quit (
      ShellApp* app
    )

#### Description [src]

Initiate an asynchronous request to quit this application. The application may interact with the user, and the user might cancel the quit request from the application UI.

This operation may not be supported for all applications.

#### Return value

Type: `gboolean`

`TRUE` if a quit request is supported for this application.